/*
    Condensed 5x8 font.
    Copyright (C) 2021  Alessandro Accattini

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA


 *****************************************************************************
 *
 *
 * $Header$
 *
 *
 *
 * REVISION HISTORY:
 * $Log$
 */


/***************************************************************************/
/* include vari */

#include "fontdesc.h"				// font data type

/***************************************************************************/
/* define interni alla libreria */

/***************************************************************************/
/* strutture contenute all'interno della libreria */

/***************************************************************************/
/* costanti interne alla libreria */

static const unsigned char	Condensed[:>={

		// 0x00
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x01
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x02
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x03
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x04
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x05
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x06
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x07
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x08
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x09
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x0a
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x0b
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x0c
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x0d
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x0e
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x0f
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x10
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x11
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x12
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x13
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x14
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x15
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x16
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x17
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x18
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x19
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x1a
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x1b
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x1c
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x1d
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x1e
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x1f
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x20
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x21
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x00,	//  ........
			0x00,	//  ........
			0x02,	//  ......#.
			0x00,	//  ........

		// 0x22
			0x05,	//  .....#.#
			0x05,	//  .....#.#
			0x05,	//  .....#.#
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x23
			0x06,	//  .....##.
			0x06,	//  .....##.
			0x0f,	//  ....####
			0x06,	//  .....##.
			0x0f,	//  ....####
			0x06,	//  .....##.
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x24
			0x02,	//  ......#.
			0x07,	//  .....###
			0x0a,	//  ....#.#.
			0x06,	//  .....##.
			0x03,	//  ......##
			0x0e,	//  ....###.
			0x02,	//  ......#.
			0x00,	//  ........

		// 0x25
			0x0c,	//  ....##..
			0x0d,	//  ....##.#
			0x01,	//  .......#
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x0b,	//  ....#.##
			0x03,	//  ......##
			0x00,	//  ........

		// 0x26
			0x04,	//  .....#..
			0x0a,	//  ....#.#.
			0x0a,	//  ....#.#.
			0x04,	//  .....#..
			0x0b,	//  ....#.##
			0x0a,	//  ....#.#.
			0x07,	//  .....###
			0x00,	//  ........

		// 0x27
			0x06,	//  .....##.
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x28
			0x01,	//  .......#
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x04,	//  .....#..
			0x04,	//  .....#..
			0x02,	//  ......#.
			0x01,	//  .......#
			0x00,	//  ........

		// 0x29
			0x04,	//  .....#..
			0x02,	//  ......#.
			0x01,	//  .......#
			0x01,	//  .......#
			0x01,	//  .......#
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x00,	//  ........

		// 0x2a
			0x00,	//  ........
			0x06,	//  .....##.
			0x0f,	//  ....####
			0x06,	//  .....##.
			0x0f,	//  ....####
			0x06,	//  .....##.
			0x00,	//  ........
			0x00,	//  ........

		// 0x2b
			0x00,	//  ........
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x0f,	//  ....####
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x00,	//  ........
			0x00,	//  ........

		// 0x2c
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x06,	//  .....##.
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x00,	//  ........

		// 0x2d
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x0f,	//  ....####
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x2e
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x06,	//  .....##.
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x2f
			0x00,	//  ........
			0x01,	//  .......#
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x08,	//  ....#...
			0x00,	//  ........
			0x00,	//  ........

		// 0x30
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x0b,	//  ....#.##
			0x0d,	//  ....##.#
			0x0d,	//  ....##.#
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x31
			0x02,	//  ......#.
			0x06,	//  .....##.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x07,	//  .....###
			0x00,	//  ........

		// 0x32
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x01,	//  .......#
			0x01,	//  .......#
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x0f,	//  ....####
			0x00,	//  ........

		// 0x33
			0x0f,	//  ....####
			0x01,	//  .......#
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x01,	//  .......#
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x34
			0x01,	//  .......#
			0x03,	//  ......##
			0x05,	//  .....#.#
			0x09,	//  ....#..#
			0x0f,	//  ....####
			0x01,	//  .......#
			0x01,	//  .......#
			0x00,	//  ........

		// 0x35
			0x0f,	//  ....####
			0x08,	//  ....#...
			0x0e,	//  ....###.
			0x01,	//  .......#
			0x01,	//  .......#
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x36
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x08,	//  ....#...
			0x0e,	//  ....###.
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x37
			0x0f,	//  ....####
			0x09,	//  ....#..#
			0x01,	//  .......#
			0x01,	//  .......#
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x00,	//  ........

		// 0x38
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x39
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x07,	//  .....###
			0x01,	//  .......#
			0x01,	//  .......#
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x3a
			0x00,	//  ........
			0x06,	//  .....##.
			0x06,	//  .....##.
			0x00,	//  ........
			0x06,	//  .....##.
			0x06,	//  .....##.
			0x00,	//  ........
			0x00,	//  ........

		// 0x3b
			0x00,	//  ........
			0x06,	//  .....##.
			0x06,	//  .....##.
			0x00,	//  ........
			0x06,	//  .....##.
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x00,	//  ........

		// 0x3c
			0x01,	//  .......#
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x08,	//  ....#...
			0x04,	//  .....#..
			0x02,	//  ......#.
			0x01,	//  .......#
			0x00,	//  ........

		// 0x3d
			0x00,	//  ........
			0x00,	//  ........
			0x0f,	//  ....####
			0x00,	//  ........
			0x0f,	//  ....####
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x3e
			0x08,	//  ....#...
			0x04,	//  .....#..
			0x02,	//  ......#.
			0x01,	//  .......#
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x08,	//  ....#...
			0x00,	//  ........

		// 0x3f
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x01,	//  .......#
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x00,	//  ........
			0x02,	//  ......#.
			0x00,	//  ........

		// 0x40
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x01,	//  .......#
			0x07,	//  .....###
			0x0b,	//  ....#.##
			0x0b,	//  ....#.##
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x41
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x0f,	//  ....####
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x00,	//  ........

		// 0x42
			0x0e,	//  ....###.
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x0e,	//  ....###.
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x0e,	//  ....###.
			0x00,	//  ........

		// 0x43
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x44
			0x0e,	//  ....###.
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x0e,	//  ....###.
			0x00,	//  ........

		// 0x45
			0x0f,	//  ....####
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x0e,	//  ....###.
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x0f,	//  ....####
			0x00,	//  ........

		// 0x46
			0x0f,	//  ....####
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x0e,	//  ....###.
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x00,	//  ........

		// 0x47
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x08,	//  ....#...
			0x0b,	//  ....#.##
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x07,	//  .....###
			0x00,	//  ........

		// 0x48
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x0f,	//  ....####
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x00,	//  ........

		// 0x49
			0x07,	//  .....###
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x07,	//  .....###
			0x00,	//  ........

		// 0x4a
			0x07,	//  .....###
			0x01,	//  .......#
			0x01,	//  .......#
			0x01,	//  .......#
			0x01,	//  .......#
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x4b
			0x09,	//  ....#..#
			0x0a,	//  ....#.#.
			0x0a,	//  ....#.#.
			0x0c,	//  ....##..
			0x0a,	//  ....#.#.
			0x0a,	//  ....#.#.
			0x09,	//  ....#..#
			0x00,	//  ........

		// 0x4c
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x0f,	//  ....####
			0x00,	//  ........

		// 0x4d
			0x09,	//  ....#..#
			0x0f,	//  ....####
			0x0f,	//  ....####
			0x0f,	//  ....####
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x00,	//  ........

		// 0x4e
			0x09,	//  ....#..#
			0x0d,	//  ....##.#
			0x0d,	//  ....##.#
			0x0b,	//  ....#.##
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x00,	//  ........

		// 0x4f
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x50
			0x0e,	//  ....###.
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x0e,	//  ....###.
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x00,	//  ........

		// 0x51
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x0d,	//  ....##.#
			0x0b,	//  ....#.##
			0x07,	//  .....###
			0x00,	//  ........

		// 0x52
			0x0e,	//  ....###.
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x0e,	//  ....###.
			0x0a,	//  ....#.#.
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x00,	//  ........

		// 0x53
			0x07,	//  .....###
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x06,	//  .....##.
			0x01,	//  .......#
			0x01,	//  .......#
			0x0e,	//  ....###.
			0x00,	//  ........

		// 0x54
			0x0f,	//  ....####
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x00,	//  ........

		// 0x55
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x56
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x02,	//  ......#.
			0x00,	//  ........

		// 0x57
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x0b,	//  ....#.##
			0x0b,	//  ....#.##
			0x0b,	//  ....#.##
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x58
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x02,	//  ......#.
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x00,	//  ........

		// 0x59
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x00,	//  ........

		// 0x5a
			0x0f,	//  ....####
			0x01,	//  .......#
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x08,	//  ....#...
			0x0f,	//  ....####
			0x00,	//  ........

		// 0x5b
			0x07,	//  .....###
			0x04,	//  .....#..
			0x04,	//  .....#..
			0x04,	//  .....#..
			0x04,	//  .....#..
			0x04,	//  .....#..
			0x07,	//  .....###
			0x00,	//  ........

		// 0x5c
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x0f,	//  ....####
			0x02,	//  ......#.
			0x0f,	//  ....####
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x00,	//  ........

		// 0x5d
			0x07,	//  .....###
			0x01,	//  .......#
			0x01,	//  .......#
			0x01,	//  .......#
			0x01,	//  .......#
			0x01,	//  .......#
			0x07,	//  .....###
			0x00,	//  ........

		// 0x5e
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x5f
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x0f,	//  ....####
			0x00,	//  ........

		// 0x60
			0x04,	//  .....#..
			0x02,	//  ......#.
			0x01,	//  .......#
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........
			0x00,	//  ........

		// 0x61
			0x00,	//  ........
			0x00,	//  ........
			0x06,	//  .....##.
			0x01,	//  .......#
			0x07,	//  .....###
			0x09,	//  ....#..#
			0x07,	//  .....###
			0x00,	//  ........

		// 0x62
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x0a,	//  ....#.#.
			0x0d,	//  ....##.#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x0e,	//  ....###.
			0x00,	//  ........

		// 0x63
			0x00,	//  ........
			0x00,	//  ........
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x08,	//  ....#...
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x64
			0x01,	//  .......#
			0x01,	//  .......#
			0x07,	//  .....###
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x07,	//  .....###
			0x00,	//  ........

		// 0x65
			0x00,	//  ........
			0x00,	//  ........
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x0f,	//  ....####
			0x08,	//  ....#...
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x66
			0x02,	//  ......#.
			0x05,	//  .....#.#
			0x04,	//  .....#..
			0x0e,	//  ....###.
			0x04,	//  .....#..
			0x04,	//  .....#..
			0x04,	//  .....#..
			0x00,	//  ........

		// 0x67
			0x00,	//  ........
			0x07,	//  .....###
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x07,	//  .....###
			0x01,	//  .......#
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x68
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x0a,	//  ....#.#.
			0x0d,	//  ....##.#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x00,	//  ........

		// 0x69
			0x02,	//  ......#.
			0x00,	//  ........
			0x06,	//  .....##.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x07,	//  .....###
			0x00,	//  ........

		// 0x6a
			0x01,	//  .......#
			0x00,	//  ........
			0x03,	//  ......##
			0x01,	//  .......#
			0x01,	//  .......#
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x6b
			0x04,	//  .....#..
			0x04,	//  .....#..
			0x05,	//  .....#.#
			0x05,	//  .....#.#
			0x06,	//  .....##.
			0x05,	//  .....#.#
			0x05,	//  .....#.#
			0x00,	//  ........

		// 0x6c
			0x06,	//  .....##.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x07,	//  .....###
			0x00,	//  ........

		// 0x6d
			0x00,	//  ........
			0x00,	//  ........
			0x0e,	//  ....###.
			0x0f,	//  ....####
			0x0f,	//  ....####
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x00,	//  ........

		// 0x6e
			0x00,	//  ........
			0x00,	//  ........
			0x0a,	//  ....#.#.
			0x0d,	//  ....##.#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x00,	//  ........

		// 0x6f
			0x00,	//  ........
			0x00,	//  ........
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x70
			0x00,	//  ........
			0x00,	//  ........
			0x0e,	//  ....###.
			0x09,	//  ....#..#
			0x0e,	//  ....###.
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x00,	//  ........

		// 0x71
			0x00,	//  ........
			0x00,	//  ........
			0x07,	//  .....###
			0x09,	//  ....#..#
			0x07,	//  .....###
			0x01,	//  .......#
			0x01,	//  .......#
			0x00,	//  ........

		// 0x72
			0x00,	//  ........
			0x00,	//  ........
			0x0a,	//  ....#.#.
			0x0d,	//  ....##.#
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x08,	//  ....#...
			0x00,	//  ........

		// 0x73
			0x00,	//  ........
			0x00,	//  ........
			0x06,	//  .....##.
			0x08,	//  ....#...
			0x06,	//  .....##.
			0x01,	//  .......#
			0x0e,	//  ....###.
			0x00,	//  ........

		// 0x74
			0x04,	//  .....#..
			0x04,	//  .....#..
			0x0e,	//  ....###.
			0x04,	//  .....#..
			0x04,	//  .....#..
			0x05,	//  .....#.#
			0x02,	//  ......#.
			0x00,	//  ........

		// 0x75
			0x00,	//  ........
			0x00,	//  ........
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x07,	//  .....###
			0x00,	//  ........

		// 0x76
			0x00,	//  ........
			0x00,	//  ........
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x02,	//  ......#.
			0x00,	//  ........

		// 0x77
			0x00,	//  ........
			0x00,	//  ........
			0x09,	//  ....#..#
			0x0b,	//  ....#.##
			0x0b,	//  ....#.##
			0x0b,	//  ....#.##
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x78
			0x00,	//  ........
			0x00,	//  ........
			0x09,	//  ....#..#
			0x06,	//  .....##.
			0x02,	//  ......#.
			0x06,	//  .....##.
			0x09,	//  ....#..#
			0x00,	//  ........

		// 0x79
			0x00,	//  ........
			0x00,	//  ........
			0x09,	//  ....#..#
			0x09,	//  ....#..#
			0x07,	//  .....###
			0x01,	//  .......#
			0x06,	//  .....##.
			0x00,	//  ........

		// 0x7a
			0x00,	//  ........
			0x00,	//  ........
			0x0f,	//  ....####
			0x01,	//  .......#
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x0f,	//  ....####
			0x00,	//  ........

		// 0x7b
			0x01,	//  .......#
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x01,	//  .......#
			0x00,	//  ........

		// 0x7c
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x00,	//  ........

		// 0x7d
			0x04,	//  .....#..
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x01,	//  .......#
			0x02,	//  ......#.
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x00,	//  ........

		// 0x7e
			0x00,	//  ........
			0x04,	//  .....#..
			0x02,	//  ......#.
			0x0f,	//  ....####
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x00,	//  ........
			0x00,	//  ........

		// 0x7f
			0x00,	//  ........
			0x02,	//  ......#.
			0x04,	//  .....#..
			0x0f,	//  ....####
			0x04,	//  .....#..
			0x02,	//  ......#.
			0x00,	//  ........
			0x00,	//  ........
};

/***************************************************************************/
/* costanti pubbliche */
			
const FontDesc_t	CondensedFont={(unsigned char*)Condensed,	// data ptr
//					256*8,		// data len
					0x00,		// first ASCII code
					0x7f,		// last ASCII code
					5,		// width
					8,		// height
					8};		// byte per char

/***************************************************************************/
/* variabili interne alla libreria */

/***************************************************************************/
/* funzioni interne alla libreria */

/***************************************************************************/
/* funzioni */


/* $Source$ */

